System.Runtime.Remoting [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.Remoting.Channels.IChannelReceiver System.Runtime.Remoting.Channels.IChannelSender

Channels transport messages across remoting boundaries (for example, between computers on application domains). The class is a convenience class combining the functionality of the class and the class.

Channels are used by the .NET Framework remoting infrastructure to transport remote calls. When a client makes a call to a remote object, the call is serialized into a message that is sent by a client channel and received by a server channel. It is then deserialized and processed. Any returned values are transmitted by the server channel and received by the client channel.

To perform additional processing of messages, you can specify implementations of the and through which all messages processed by the are passed.

A object has associated configuration properties that can be set at run time either in a configuration file (by invoking the static method) or programmatically (by passing a collection to the constructor). For more information about channel configuration properties, see Channel and Formatter Configuration Properties.

If the server computer is running Windows 95/98/Me, the server cannot be specified as secure.

Provides a channel implementation that uses the TCP protocol to transmit messages.

- Constructor

  The default constructor initializes all fields to their default values. If the default constructor is used, the channel functions only as a client channel, and does not listen on any ports.

  Initializes a new instance of the class, activating only a client channel, and not a server channel.

  1.0.5000.0
  2.0.0.0
- Constructor

  To request that the remoting system choose an open port on your behalf, specify port 0 (zero). This will create a instance to listen for requests on the dynamically assigned port. This is typically done on the client to make sure that a is listening for callback methods.

  If 0 is passed to the constructor the is instantiated to use a free port.

  Initializes a new instance of the class with a server channel that listens on the specified port.

  The port on which the server channel listens.
  1.0.5000.0
  2.0.0.0
- Constructor

  For more information about channel configuration properties, see Channel and Formatter Configuration Properties.

  If the server computer is running Windows 95/98/Me, the server cannot be specified as secure.

  Channel sinks provide a plug-in point that allows access to the underlying messages flowing through the channel as well as the stream used by the transport mechanism to send messages to a remote object. Channel sinks are also responsible for transporting messages between the client and the server. Channel sinks are linked together in a chain, and all channel messages flow through this chain of sinks before the message is finally serialized and transported. If you do not require sink functionality, set the and parameters to null.

  Initializes a new instance of the class with the specified configuration properties and sinks.

  A collection that specifies values for configuration properties to be used by the client and server channels.
  The implementation to be used by the client channel.
  The implementation to be used by the server channel.
  1.0.5000.0
  2.0.0.0
- Property
  System.Object To be added: an object of type 'object'

  Although returned as an instance of , the value of this property can be cast to an instance of describing the channel to which the object listens.

  Gets the channel-specific data.

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added: an object of type 'string'

  Every registered channel has a unique name. The name is used to retrieve a specific channel when calling . To set the property, assign the value to the "name" indexed property in the dictionary passed to the constructor.

  Gets the name of the current channel.

  1.0.5000.0
  2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int' To be added

  Gets the priority of the current channel.

  1.0.5000.0
  2.0.0.0
- Method
  System.Runtime.Remoting.Messaging.IMessageSink `` `` `` To be added: an object of type 'string' To be added: an object of type 'object' To be added: an object of type 'string&' To be added To be added: an object of type 'Runtime.Remoting.Messaging.IMessageSink' To be added 1.0.5000.0 2.0.0.0
- Method
  System.String[] `` To be added: an object of type 'string'

  This method is used by .

  Returns an array of all the URLs for an object with the specified URI, hosted on the current .

  An array of the URLs for an object with the specified URI, hosted on the current .

  1.0.5000.0
  2.0.0.0
- Method
  System.String `` `` To be added: an object of type 'string' To be added: an object of type 'string&' To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  It is not necessary to call this method to begin listening on a newly initialized channel.

  Use this method to restart listening on a channel after the method has been called.

  If your channel uses a dynamically assigned port number, your port number might change when you restart listening.

  The parameter can be used to pass a specific initialization state to the channel. If you do not want to pass a specific state to the channel, set to null.

  Instructs the current channel to start listening for requests.

  Optional initialization information. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  Use this method to stop listening on a channel. To restart listening, use the method.

  If your channel uses a dynamically assigned port number, your port number might change when you restart listening.

  The parameter can be used to pass a specific initialization state to the channel. If you do not want to pass a specific state to the channel, set to null.

  Instructs the current channel to stop listening for requests.

  Optional state information for the channel. 1.0.5000.0 2.0.0.0